%define with_internal_jsr311 1
Name:          jersey
Version:       1.9.1
Release:       %mkrel 5
Summary:       JAX-RS (JSR 311) production quality Reference Implementation
Group:         Development/Java
License:       CDDL, GPL
Url:           http://jersey.java.net/
# svn checkout https://svn.java.net/svn/jersey~svn/tags/jersey-1.9.1/jersey-1.9.1/jersey jersey-1.9.1
# tar czf jersey-1.9.1-src-svn.tar.gz jersey-1.9.1
Source0:       jersey-1.9.1-src-svn.tar.gz
Source1:       jersey-1.9.1-depmap
# felix org.osgi.core
Patch0:        jersey-1.9.1-core-pom.patch
# remove com.sun.net.httpserver http 20070405 test
Patch1:        jersey-1.9.1-client-pom.patch

# remove OSGi support
Patch2:        jersey-1.9.1-jersey-atom-pom.patch
Patch3:        jersey-1.9.1-jersey-fastinfoset-pom.patch
Patch4:        jersey-1.9.1-jersey-json-pom.patch
Patch5:        jersey-1.9.1-jersey-core-pom.patch
Patch6:        jersey-1.9.1-jersey-client-pom.patch

Patch7:        jersey-1.9.1-jersey-parent-no-jvnet-parent.patch
Patch8:        jersey-1.9.1-jersey-parent-no-profiles.patch

Patch9:        jersey-1.9.1-server-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jvnet-parent

# cobertura 1.9.4.1
BuildRequires: cobertura
BuildRequires: felix-osgi-core
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api

BuildRequires: jackson
BuildRequires: javamail
BuildRequires: jdom
BuildRequires: jettison >= 1.2-4
BuildRequires: jsr311
BuildRequires: junit4
BuildRequires: rome
BuildRequires: sun-fi >= 1.2.10-2

BuildRequires: buildnumber-maven-plugin

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-jaxb2-plugin
BuildRequires: maven-jflex-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: sun-istack-commons >= 2.4-3
BuildRequires: maven-plugin-istack-commons
BuildRequires: mvn(org.jboss.weld:weld-parent)

# jersey-server

# org.glassfish javax.ejb 3.1
# https://svn.java.net/svn/glassfish~svn/tags/3.1.1/ejb/javax.ejb

# javax.servlet javax.servlet-api 3.0.1
# https://svn.java.net/svn/glassfish~svn/tags/javax.servlet-api-3.0.1/

BuildRequires: ant
BuildRequires: apache-commons-io
# javax.persistence persistence-api
BuildRequires: hibernate3-ejb3-persistence-3.0-api
BuildRequires: jboss-annotations-1.1-api
# org.glassfish javax.ejb 3.1
BuildRequires: jboss-ejb-3.1-api
# javax.servlet javax.servlet-api 3.0.1
BuildRequires: jboss-servlet-3.0-api
BuildRequires: maven-jaxb-plugin
BuildRequires: objectweb-asm
BuildRequires: tomcat6
# javax.servlet jsp-api 2.0
BuildRequires: tomcat6-jsp-2.1-api
# org.jboss.weld weld-osgi-bundle 1.1.0.Final
BuildRequires: weld

# jersey-server-linking
BuildRequires: glassfish-el

BuildRequires: codehaus-parent

# BuildRequires: aspectj
# BuildRequires: cglib
# BuildRequires: spring2-aop
# BuildRequires: spring2-beans
# BuildRequires: spring2-context
# BuildRequires: spring2-core
# BuildRequires: spring2-web

Requires:      ant
Requires:      felix-osgi-core
Requires:      glassfish-el
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api
Requires:      hibernate3-ejb3-persistence-3.0-api
Requires:      jackson
Requires:      javamail
Requires:      jboss-annotations-1.1-api
Requires:      jboss-ejb-3.1-api
Requires:      jboss-servlet-3.0-api
Requires:      jdom
Requires:      jettison >= 1.2-4
Requires:      jsr311
Requires:      jvnet-parent
Requires:      objectweb-asm
Requires:      rome
Requires:      sun-fi >= 1.2.10-2
Requires:      tomcat6-jsp-2.1-api
Requires:      weld

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jersey is the open source JAX-RS (JSR 311)
production quality Reference Implementation
for building RESTful Web services.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q
%if %with_internal_jsr311
%patch0 -p0
%patch1 -p0
%else
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%endif
#%patch7 -p0
%patch8 -p0
%patch9 -p0

# TODO
sed -i "s|<version>1.9.4.1</version>|<version>1.9.3</version>|"  pom.xml
sed -i "s|<module>contribs</module>|<!--module>contribs</module-->|"  pom.xml
sed -i "s|<module>jersey-documentation</module>|<!--module>jersey-documentation</module-->|"  pom.xml
sed -i "s|<module>jersey-grizzly</module>|<!--module>jersey-grizzly</module-->|"  pom.xml
sed -i "s|<module>jersey-grizzly2</module>|<!--module>jersey-grizzly2</module-->|"  pom.xml
sed -i "s|<module>jersey-jrebel</module>|<!--module>jersey-jrebel</module-->|"  pom.xml
sed -i "s|<module>jersey-test-framework</module>|<!--module>jersey-test-framework</module-->|"  pom.xml
sed -i "s|<module>jersey-tests</module>|<!--module>jersey-tests</module-->|"  pom.xml
sed -i "s|<module>samples</module>|<!--module>samples</module-->|"  pom.xml
sed -i "s|<module>tests</module>|<!--module>tests</module-->|"  pom.xml
sed -i "s|<artifactId>weld-osgi-bundle</artifactId>|<artifactId>weld-core</artifactId>|" $(find . -name "pom.xml")

%build

mvn-rpmbuild \
  -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 %{name}-atom/target/%{name}-atom-%{version}.jar %{buildroot}%{_javadir}/%{name}/atom.jar
install -pm 644 %{name}-client/target/%{name}-client-%{version}.jar %{buildroot}%{_javadir}/%{name}/client.jar
install -pm 644 %{name}-core/target/%{name}-core-%{version}.jar %{buildroot}%{_javadir}/%{name}/core.jar
install -pm 644 %{name}-fastinfoset/target/%{name}-fastinfoset-%{version}.jar %{buildroot}%{_javadir}/%{name}/fastinfoset.jar
install -pm 644 %{name}-json/target/%{name}-json-%{version}.jar %{buildroot}%{_javadir}/%{name}/json.jar
install -pm 644 %{name}-server/target/%{name}-server-%{version}.jar %{buildroot}%{_javadir}/%{name}/server.jar
install -pm 644 %{name}-server-linking/target/%{name}-server-linking-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/server-linking.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-project.pom
%add_maven_depmap JPP.%{name}-project.pom
install -pm 644 %{name}-atom/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-atom.pom
%add_maven_depmap JPP.%{name}-atom.pom %{name}/atom.jar
install -pm 644 %{name}-client/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-client.pom
%add_maven_depmap JPP.%{name}-client.pom %{name}/client.jar
install -pm 644 %{name}-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-core.pom
%add_maven_depmap JPP.%{name}-core.pom %{name}/core.jar
install -pm 644 %{name}-fastinfoset/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-fastinfoset.pom
%add_maven_depmap JPP.%{name}-fastinfoset.pom %{name}/fastinfoset.jar
install -pm 644 %{name}-json/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-json.pom
%add_maven_depmap JPP.%{name}-json.pom %{name}/json.jar
install -pm 644 %{name}-server/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-server.pom
%add_maven_depmap JPP.%{name}-server.pom %{name}/server.jar
install -pm 644 %{name}-server-linking/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-server-linking.pom
%add_maven_depmap JPP.%{name}-server-linking.pom %{name}/server-linking.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%doc changes.txt dependencies.html getting-started.html license.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Feb 18 2013 dmorgan <dmorgan> 1.9.1-5.mga3
+ Revision: 398980
- Build w/o geronimo-stax-1.2-api

* Sat Jan 12 2013 umeabot <umeabot> 1.9.1-4.mga3
+ Revision: 355318
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.9.1-3.mga3
+ Revision: 342986
- Remove findbugs-maven-plugin deps

* Sun Jun 24 2012 gil <gil> 1.9.1-2.mga3
+ Revision: 263271
- fix BR
- added weld support
- built server and server-linking libraries

* Sat Dec 03 2011 gil <gil> 1.9.1-1.mga2
+ Revision: 175557
- remove patch7 built with jvnet-parent support
- build fix
  added OSGi support
- changes removed for jersey-server
- build fix
  added proper BR version/release
- imported package jersey

